function {base} | R Documentation

## Function Definition

### Description

These functions provide the base mechanisms for defining new functions in the R language.

### Usage

    function( arglist ) expr
    return(value)

### Arguments

`arglist` | Empty or one or more name or name=expression terms.
`value` | An expression, or a series of expressions separated by commas.

### Details

In R (unlike S) the names in an argument list cannot be quoted non-standard names.

If `value` is a series of expressions, the value returned is a list of the evaluated expressions, with names set to the expressions where these are the names of R objects.

### See Also

`args` and `body` for accessing the arguments and body of a function.

`debug` for debugging; `invisible` for `return(.)`ing invisibly.

### Examples

    norm <- function(x) sqrt(x%*%x)
    norm(1:4)

    ## An anonymous function:
    (function(x,y){ z <- x^2 + y^2; x+y+z })(0:7, 1)

[Package Contents]